Bug 132543 - -C <fd> option to fsck doesn't work.
Summary: -C <fd> option to fsck doesn't work.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: e2fsprogs   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-14 16:51 UTC by Bill Nottingham
Modified: 2014-03-17 02:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-17 14:15:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2004-09-14 16:51:33 UTC
e2fsck supports -C <fd> to output progress data to an auxillary
filedescriptor.

However, /sbin/fsck doesn't properly handle this option.

/sbin/fsck -C4 /dev/sda1
gets translated to:

e2fsck -4 -C0 /dev/sda1

Comment 1 Thomas Woerner 2004-09-16 15:31:54 UTC
e2fsprogs-1.35-9.5:

e2fsck -C4 -f /tmp/boot.img 4> test
Has written completion information to test.


Comment 2 Bill Nottingham 2004-09-16 18:58:58 UTC
It works in e2fsck, but you can't pass it to /sbin/fsck and get it
passed right. i.e., /sbin/fsck -C4 -f /tmp/boot.img wouldn't work.

Comment 3 Thomas Woerner 2004-09-17 14:15:24 UTC
Fixed in rawhide in rpm e2fsprogs-1.35-11 or newer.


Note You need to log in before you can comment on or make changes to this bug.